datablock ExplosionData(PERExplosion)
{

   lifeTimeMS = 150;

   particleEmitter = rocketExplosionEmitter;
   particleDensity = 1;
   particleRadius = 0.1;

   emitter[0] = rocketExplosionRingEmitter;

   faceViewer     = true;
   explosionScale = "0.4 0.4 0.4";

   shakeCamera = false;

   damageRadius = 12;
   radiusDamage = 100;

   impulseRadius = 15;
   impulseForce = 4500;
   
   lightStartRadius = 10;
   lightEndRadius = 3;
   lightStartColor = "1 0.42 0 1";
   lightEndColor = "1 1 1 1";
};

datablock projectileData(PERProjectile)
{
   projectileShapeName = "./goo.dts";
   directDamage        = 0;
   //directDamageType    = $DamageType::Gun;
   //radiusDamageType    = $DamageType::Gun;

   brickExplosionImpact = false;  

  explodeOnDeath        = true;  
  explosion             = PERExplosion;
   

   impactImpulse	     = 0;
   verticalImpulse	  = 0;

   muzzleVelocity      = 20;
   velInheritFactor    = 1;

   armingDelay         = 4900; 
   lifetime            = 5000;
   fadeDelay           = 5000;

   isBallistic         = true;
   bounceAngle         = 0; 
   minStickVelocity    = 0;
   bounceElasticity    = 0.3;
   bounceFriction      = 0.70;   
   gravityMod = 1;

   hasLight    = true;
   lightRadius = 6.0;
   lightColor  = "1 0.54 0";

   uiName = "Plasma Explosive";

};


datablock itemData(PERItem : rocketLauncherItem)
{
	shapeFile = "./agun.dts";
	uiName = "Explosive Plasma Cannon";
	image = PERImage;
	iconName = "";
};

datablock shapeBaseImageData(PERImage : rocketLauncherImage)
{
	shapeFile = "./agun.dts";
	projectile = PERProjectile;
};
